/*
 *  Copyright (C) 2003 Philip Langdale
 *
 *  Based on egg-radio-action from libegg , which does not have copyright header.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GALEON_RADIO_ACTION_H
#define GALEON_RADIO_ACTION_H

#include <gtk/gtk.h>
#include <galeon-action.h>
#include <galeon-toggle-action.h>

#define GALEON_TYPE_RADIO_ACTION            (galeon_radio_action_get_type ())
#define GALEON_RADIO_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GALEON_TYPE_RADIO_ACTION, GaleonRadioAction))
#define GALEON_RADIO_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GALEON_TYPE_RADIO_ACTION, GaleonRadionActionClass))
#define GALEON_IS_RADIO_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GALEON_TYPE_RADIO_ACTION))
#define GALEON_IS_RADIO_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), GALEON_TYPE_RADIO_ACTION))
#define GALEON_RADIO_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), GALEON_TYPE_RADIO_ACTION, GaleonRadioActionClass))

typedef struct _GaleonRadioAction      GaleonRadioAction;
typedef struct _GaleonRadioActionClass GaleonRadioActionClass;

struct _GaleonRadioAction {
	GaleonToggleAction parent;

	GSList *group;
};

struct _GaleonRadioActionClass {
	GaleonToggleActionClass parent_class;
};

GType	galeon_radio_action_get_type	(void);

GSList	*galeon_radio_action_get_group	(GaleonRadioAction *action);
void	galeon_radio_action_set_group	(GaleonRadioAction *action,
					 GSList *group);

#endif
